---
title: WebGL2RenderingContext.getTransformFeedbackVarying()
slug: Web/API/WebGL2RenderingContext/getTransformFeedbackVarying
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGL2
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGL2RenderingContext.getTransformFeedbackVarying()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL 2 API</a> returns information about varying variables from {{domxref("WebGLTransformFeedback")}} buffers.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">WebGLActiveInfo <var>gl</var>.getTransformFeedbackVarying(program, index);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>program</dt>
 <dd>A {{domxref("WebGLProgram")}}.</dd>
 <dt>index</dt>
 <dd>A {{domxref("GLuint")}} specifying the index of the varying variable whose information to retrieve<code>.</code></dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("WebGLActiveInfo")}} object.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">activeInfo = gl.getTransformFeedbackVarying(program, 0);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL2', "#3.7.15", "getTransformFeedbackVarying")}}</td>
   <td>{{Spec2('WebGL2')}}</td>
   <td>Initial definition for WebGL.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 3.0', "glGetTransformFeedbackVarying.xhtml", "glGetTransformFeedbackVarying")}}</td>
   <td>{{Spec2('OpenGL ES 3.0')}}</td>
   <td>Man page of the (similar) OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGL2RenderingContext.getTransformFeedbackVarying")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLTransformFeedback")}}</li>
</ul>
